#
# spec file for package stat (Version 2.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         stat
Version:      2.4
Release:      98
Summary:      stat file/filesystem info
Copyright:    GPL
Group:        Applications/File
Provides:     stat
#Requires:     
#Conflicts:
Autoreqprov:  on
Source:       stat-2.4.tar.gz
#Patch:
BuildRoot:    %{_tmppath}/%{name}-root
Patch0:       stat-2.4.dif

%description
The stat command displays information about the specified file(s).
stat -f <filename> does not stat the file itself but instead stats
the filesystem where the named file is located.

Authors:
--------
    Michael Meskes <meskes@debian.org>

SuSE series: ap

%prep
%setup
#%ifarch s390
#DIR=$(find . -name configure -printf "%h\n")
#%{?suse_update_config:%{suse_update_config -f $DIR }}
#%endif
%patch -p1

%build
#RPM_BUILD_ROOT=/var/tmp/stat
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/stat
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 README Changelog COPYRIGHT $RPM_BUILD_ROOT/usr/share/doc/packages/stat
ls -lR  $RPM_BUILD_ROOT

%files
/usr/bin/stat
%doc  %{_mandir}/man1/stat.1.gz
%doc  /usr/share/doc/packages/stat/*
#%changelog

%changelog -n stat
* Wed Mar 28 2001 - jj@suse.de
- fixed problem with printf a macro
* Wed Feb 28 2001 - jj@suse.de
- initial version
